<?xml version="1.0"?>
<Annotations>
  <Attribute name="doctype" nullable="yes"/>
  <Attribute name="implementation" nullable="no"/>
  <Attribute name="documentElement" nullable="no"/>
  <Method name="createElement" nullable="no">
    <Param name="tagName" nullable="no"/>
  </Method>
  <Method name="createDocumentFragment" nullable="no"/>
  <Method name="createTextNode" nullable="no">
    <Param name="data" nullable="no"/>
  </Method>
  <Method name="createComment" nullable="no">
    <Param name="data" nullable="no"/>
  </Method>
  <Method name="createCDATASection" nullable="no">
    <Param name="data" nullable="no"/>
  </Method>
  <Method name="createProcessingInstruction" nullable="no">
    <Param name="target" nullable="no"/>
    <Param name="data" nullable="no"/>
  </Method>
  <Method name="createAttribute" nullable="no">
    <Param name="name" nullable="no"/>
  </Method>
  <Method name="createEntityReference" nullable="no">
    <Param name="name" nullable="no"/>
  </Method>
  <Method name="getElementsByTagName" nullable="no">
    <Param name="tagname" nullable="no"/>
  </Method>
  <Method name="importNode" nullable="no">
    <Param name="importedNode" nullable="no"/>
    <Param name="deep" nullable="no"/>
  </Method>
  <Method name="createElementNS" nullable="no">
    <Param name="namespaceURI" nullable="yes"/>
    <Param name="qualifiedName" nullable="no"/>
  </Method>
  <Method name="createAttributeNS" nullable="no">
    <Param name="namespaceURI" nullable="yes"/>
    <Param name="qualifiedName" nullable="no"/>
  </Method>
  <Method name="getElementsByTagNameNS" nullable="no">
    <Param name="namespaceURI" nullable="no"/>
    <Param name="localName" nullable="no"/>
  </Method>
  <Method name="getElementById" nullable="yes">
    <Param name="elementId" nullable="no"/>
  </Method>
</Annotations>
